WCSLIB: auxprm Struct Reference

WCSLIB 8.1

Data Fields
auxprm Struct Reference

Additional auxiliary parameters. More...

`#include <wcs.h>`

## Data Fields
double | rsun_ref
double | dsun_obs
double | crln_obs
double | hgln_obs
double | hglt_obs
double | a_radius
double | b_radius
double | c_radius
double | blon_obs
double | blat_obs
double | bdis_obs
double | dummy [2]

## Detailed Description

The auxprm struct holds auxiliary coordinate system information of a specialist nature. It is anticipated that this struct will expand in future to accomodate additional parameters.

All members of this struct are to be set by the user.

## Field Documentation

## ◆ rsun_ref

double auxprm::rsun_ref

(Given, auxiliary) Reference radius of the Sun used in coordinate calculations (m).

## ◆ dsun_obs

double auxprm::dsun_obs

(Given, auxiliary) Distance between the centre of the Sun and the observer (m).

## ◆ crln_obs

double auxprm::crln_obs

(Given, auxiliary) Carrington heliographic longitude of the observer (deg).

## ◆ hgln_obs

double auxprm::hgln_obs

(Given, auxiliary) Stonyhurst heliographic longitude of the observer (deg).

## ◆ hglt_obs

double auxprm::hglt_obs

(Given, auxiliary) Heliographic latitude (Carrington or Stonyhurst) of the observer (deg).

## ◆ a_radius

double auxprm::a_radius

Length of the semi-major axis of a triaxial ellipsoid approximating the shape of a body (e.g. planet) in the solar system (m).

## ◆ b_radius

double auxprm::b_radius

Length of the intermediate axis, normal to the semi-major and semi-minor axes, of a triaxial ellipsoid approximating the shape of a body (m).

## ◆ c_radius

double auxprm::c_radius

Length of the semi-minor axis, normal to the semi-major axis, of a triaxial ellipsoid approximating the shape of a body (m).

## ◆ blon_obs

double auxprm::blon_obs

Bodycentric longitude of the observer in the coordinate system fixed to the planet or other solar system body (deg, in range 0 to 360).

## ◆ blat_obs

double auxprm::blat_obs

Bodycentric latitude of the observer in the coordinate system fixed to the planet or other solar system body (deg).

## ◆ bdis_obs

double auxprm::bdis_obs

Bodycentric distance of the observer (m).

Global variable: const char *wcs_errmsg[] - Status return messages Error messages to match the status value returned from each function.

## ◆ dummy

double auxprm::dummy[2]